#!/bin/sh
# \
exec wish "$0" "$@"
###############################################

#Mise a jour de la librairie TCL :
auto_mkindex ./LIBTCL *.tcl

lappend auto_path ./LIBTCL/

load [pwd]/libinti0.1.so

# Charge le package tkimg, si present
catch {package require Img}

set DirImg ./Supplement

set parametre1 12
set parametre2 80

label .colonne1
label .colonne2
for {set i 0} {$i <= 3} {incr i} { 
   label .lab($i)
}
pack .lab(0) .lab(1) -side top -in .colonne1
pack .lab(2) .lab(3) -side top -in .colonne2

pack .colonne1 .colonne2 -side left

foreach f [glob $DirImg/*] {
    puts "Traitement Image $f"
    set image $f
    Intinew CMD 4
    image create photo orig_col -file $image -palette 256/256/256
    Imgnew orig_col 0
    for {set i 1} {$i <= 3} {incr i} { 
	image create photo composante($i) -file $image -palette 256
	Imgnew composante($i) $i
	}
    CMD decomp_RGB
    .lab(0) configure -image orig_col
    for {set i 1} {$i <= 3} {incr i} {
	.lab($i) configure -image composante($i)
	}
    # Exemple traitement de la 2e composante
    set liste [CMD tpTest 2 $parametre1 $parametre2]
    puts "La valeur de la sortie 1 est [lindex $liste 0]"
    puts "La valeur de la sortie 2 est [lindex $liste 1]"
    puts "La valeur de la sortie 3 est [lindex $liste 2]"
    update
}

